<?php
@include('functions.php');
if (isset($_REQUEST['email'])){$email=$_REQUEST['email'];}else{$email="";}
if (isset($_REQUEST['asunto'])){$asunto=$_REQUEST['asunto'];}else{$asunto="";}
if (isset($_REQUEST['mensaje'])){$mensaje=$_REQUEST['mensaje'];}else{$mensaje="";}

$asunto=utf8_decode($asunto);
$mensaje=utf8_decode($mensaje);

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
require_once __DIR__ . '/vendor/autoload.php';
$mail = new PHPMailer(true);
try {
    // Configure PHPMailer
    $mail->isSMTP();
    $mail->SMTPAuth = true;
    $mail->SMTPSecure = 'ssl';
    $mail->Port = 465;
    // Configure SMTP Server
    $mail->Host = 'smtp.titan.email';
    $mail->Username = 'noresponder@miayudaapp.com';
    $mail->Password = 'Fermin@war1945';
    // Configure Email
    $mail->setFrom('noresponder@miayudaapp.com', 'miayudaapp');
    $mail->addAddress($email);
    $mail->Subject = $asunto;
    $mail->isHTML(true);
    $mail->Body = $mensaje;
    // send mail
    $mail->Send();
    echo 'ENVIADO';
    } catch (Exception $e) {
    echo 'Mailer Error: ' . $mail->ErrorInfo;
}
